using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 认知能力
/// </summary>
public enum CognitiveAbility
{
    /// <summary>
    /// 未知
    /// </summary>
    [Description("未知")]
    NONE = 0,
    /// <summary>
    /// 识记
    /// </summary>
    [Description("识记")]
    RECOGNITION = 1,
    /// <summary>
    /// 理解
    /// </summary>
    [Description("理解")]
    COMPREHENSION = 2,
    /// <summary>
    /// 应用
    /// </summary>
    [Description("应用")]
    APPLICATION = 3,
    /// <summary>
    /// 分析
    /// </summary>
    [Description("分析")]
    ANALYSIS = 4,
    /// <summary>
    /// 综合
    /// </summary>
    [Description("综合")]
    SYNTHESIS = 5,
    /// <summary>
    /// 评价
    /// </summary>
    [Description("评价")]
    EVALUATION = 6,
}
